Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 224238

Summary: perl-Wx - unwanted provides
Product: [Fedora] Fedora Reporter: Matthias Clasen <mclasen>
Component: perl-WxAssignee: Jose Pedro Oliveira <jose.p.oliveira.oss>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: perl-devel
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: perl-Wx-0.67-2 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-01-27 14:47:46 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthias Clasen 2007-01-24 19:20:03 UTC
I recently installed inkscape and was surprised to find that it pulled in perl-Wx.
The dependency goes via perl-XML-XQL, which requires perl(Parse::Yapp::Driver)
which is provided by perl-Wx. Is that intentional ? I think not.

Comment 1 Jose Pedro Oliveira 2007-01-25 02:42:05 UTC
The Wx Grammar.pm file appears to have been generated by Parse::Yapp and
includes the line "package Parse::Yapp::Driver;".

Filtering Parse::Yapp::Driver from the provides list.


Comment 2 Jose Pedro Oliveira 2007-01-27 14:47:46 UTC
perl-Wx-0.67-2 no longer provides perl(Parse::Yapp::Driver) and perl(MY).

New version pushed for devel, FC-6, and FC-5.